HInvalidLookException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HInvalidLookException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.havi.ui.HUIException
                  org.havi.ui.HInvalidLookException

All Implemented Interfaces:
  Serializable

    public class HInvalidLookException

extends HUIException

An HInvalidLookException is an exception that is thrown when a particular `HLook` is not compatible with the `HVisible` component it has been associated with.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
message | Message explaining why the exception was thrown | null | - | java.lang.Throwable#getMessage

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Constructor Summary
`HInvalidLookException()` Creates an HInvalidLookException object.
`HInvalidLookException(String message)` Creates an HInvalidLookException object with a specified reason string.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HInvalidLookException

    public HInvalidLookException()

  Creates an HInvalidLookException object. See the class description for details of constructor parameters and default values.

### HInvalidLookException

    public HInvalidLookException(String message)

  Creates an HInvalidLookException object with a specified reason string.

  Parameters:
    `message` - the reason why the exception was raised

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD